Highlight selected version on the Roadmap view
Assignee:  % Done: 0%

Category: Roadmap Estimated time: 0.00 hour

Target version: Candidate for next major release   

Resolution:    

Description

It can be helpful to have the selected version's heading highlighted on the Roadmap (versions#index) view. This would also be in line

with what we currently already have for selected issue journals, forum topic replies (i.e. messages) and wiki page headings.

This proposed highlight could have a border-radius dependent of #39880.

History

#1 - 2024-05-16 10:49 - christy hernandez

Mischa The Evil wrote:

It can be helpful to have the selected version's heading highlighted on the Roadmap (versions#index) view. This would also be in line with what

we currently already have for selected issue journals, forum topic replies (i.e. messages), and wiki page headings. 

https://www.ny-stateofhealth.com

This proposed highlight could have a border-radius dependent of #39880.

 To implement this feature, you would need to make changes to the frontend code of your application. Here's a general outline of the steps you could

take.

Identify the component responsible for rendering the Roadmap view in your application's frontend codebase.

Add logic to determine which version is currently selected or active.

Modify the rendering of the version headings to apply a highlight style to the selected version.

Define the highlight style, including any border-radius specifications, in your application's CSS or styling framework.

Test the feature thoroughly to ensure that the selected version is appropriately highlighted and that the highlighting behaves as expected across

different browsers and devices.

Additionally, considering the existing implementation for highlighting selected issue journals, forum topic replies, and wiki page headings can provide

valuable insights and help maintain consistency across your application's UI.

#2 - 2024-05-28 20:56 - Marius BĂLTEANU

- Related to Feature #40744: Refresh history tabs look and feel added

#3 - 2024-05-28 20:56 - Marius BĂLTEANU

- Related to deleted (Feature #40744: Refresh history tabs look and feel)

#4 - 2024-06-04 22:10 - Marius BĂLTEANU

- File highlight-roadmap-version.diff added

- Target version set to Candidate for next major release

I made a patch that implements this.

Files

highlight-roadmap-version.diff 1.72 KB 2024-06-04 Marius BĂLTEANU
